SystemOrganization addCategory: 'OrbeonFormProcess_Tests'!

TestCase subclass: #OrbeonProcessDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcess_Tests'!

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
error2Test

	self assert:  4 foo! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
error3Test

	self assert:  4 foo! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
errorTest

	self assert:  4 foo! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
failed2Test

	self assert: false! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
failed3Test

	self assert: false! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
passed2Test

	self assert: true! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
passed3Test

	self assert: true! !

!OrbeonProcessDefinitionTest methodsFor: 'other' stamp: 'BrunoBB 10/22/2015 13:25'!
passedTest

	self assert: true! !

TestCase subclass: #OrbeonProcessTrackingTest
	instanceVariableNames: 'processDefinition assignment processInstance currentUser lastAssignment'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcess_Tests'!

!OrbeonProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 09:50'!
createFormInstance: xmlMethodName definitionNamed: definitionName app: app
	| application definition |

	application := OrbeonApplication applicationNamed: app.
	definition := application definitionNamed: definitionName.

	^(OrbeonFormInstance app: app form: definitionName id: UUID new asString)
			definition: definition;
			xmlString: (self perform: xmlMethodName);
			processXML;
			yourself! !

!OrbeonProcessTrackingTest methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 09:51'!
fillAndfinalize: symbolMethod in: anOrbeonProcessAssignment
	| process testCaseForm transition |

	process := anOrbeonProcessAssignment formProcess.
	testCaseForm := self perform: symbolMethod.
	transition := process runningTransitions last.
	transition orbeonFormInstance: testCaseForm. "one to one relation. t1 <> f "
	testCaseForm assignment: anOrbeonProcessAssignment.
	transition finalize.
	transition generateNextRunningTransitions.! !

OrbeonProcessTrackingTest subclass: #TCProcessTrackingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OrbeonFormProcess_Tests'!

!TCProcessTrackingTest class methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 09:48'!
xpdl_fixIssueProcess
^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="0021eafb-ce63-4827-95a8-99ed5cb45b56" Name="fix-issue" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T17:38:38.3889014-03:00</Created>
    <ModificationDate>2015-10-12T13:10:04.1665667-03:00</ModificationDate>
    <Description>fix-issue</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="2c171c41-a6aa-4f6e-a4f8-3faa2643d531" Name="Main Process" Process="4d900569-414f-48f1-9698-ba54a5c0bb96" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="7904a971-b4f0-4f66-9729-b5caff198eec" Name="fix-issue" Process="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" BoundaryVisible="true">
      <Lanes>
        <Lane Id="f59dfcaa-4364-486a-b5c3-1523a2fa314c" Name="developer" ParentPool="7904a971-b4f0-4f66-9729-b5caff198eec">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="273" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="273" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="4d900569-414f-48f1-9698-ba54a5c0bb96" Name="Main Process">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.306202-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" Name="fix-issue">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.3992636-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="ed05d89b-c585-4ad0-9f24-5dc655402749" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="157" YCoordinate="72" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5" Name="analyze-issue">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="276" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="23110288-092a-4633-b6d3-aee28763cee4" Name="report-fixes">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="564" YCoordinate="57" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="10a9288f-4785-4e16-8bd1-1b25ec3071b3" Name="internal-test">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="564" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="393" YCoordinate="204" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="70d89556-61a0-46a3-b9e9-f0536e1878d9" Name="report-to-architect">
          <Description />
          <Implementation>
            <SubFlow Id="260dacb0-875f-4db1-9346-4185528f1506" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="147" YCoordinate="189" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPath&quot;:&quot;&quot;}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="dfcd873a-20dc-483a-a5e4-08397387d383" Name="can fix">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="440" YCoordinate="67" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="7e6a750b-7e3a-4a39-8a88-ff7656eb6050" From="ed05d89b-c585-4ad0-9f24-5dc655402749" To="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="187" YCoordinate="87" />
              <Coordinates XCoordinate="276" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="67005781-0b9d-4e38-b4a5-845d586c8f80" From="dfcd873a-20dc-483a-a5e4-08397387d383" To="23110288-092a-4633-b6d3-aee28763cee4">
          <Condition Type="CONDITION">
            <Expression>[:form | form developerCanFix = ''yes'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="480" YCoordinate="87" />
              <Coordinates XCoordinate="564" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9bab740a-0def-470c-a558-b8a26861904a" From="23110288-092a-4633-b6d3-aee28763cee4" To="10a9288f-4785-4e16-8bd1-1b25ec3071b3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="609" YCoordinate="117" />
              <Coordinates XCoordinate="609" YCoordinate="189" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="949f62da-2286-4e05-9bbb-e61a3ee957d3" From="10a9288f-4785-4e16-8bd1-1b25ec3071b3" To="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="564" YCoordinate="219" />
              <Coordinates XCoordinate="423" YCoordinate="219" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="adbad26d-c890-4460-afb7-3d1637c1992e" From="dfcd873a-20dc-483a-a5e4-08397387d383" To="70d89556-61a0-46a3-b9e9-f0536e1878d9">
          <Condition Type="CONDITION">
            <Expression>[:form | form developerCanFix = ''no'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="460" YCoordinate="107" />
              <Coordinates XCoordinate="460" YCoordinate="148" />
              <Coordinates XCoordinate="192" YCoordinate="148" />
              <Coordinates XCoordinate="192" YCoordinate="189" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1903c236-7dab-4c63-a09d-7215c553f606" From="70d89556-61a0-46a3-b9e9-f0536e1878d9" To="a7f0e8a9-c09a-4e21-860a-7ccbdc25cb9e">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="237" YCoordinate="219" />
              <Coordinates XCoordinate="393" YCoordinate="219" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f2eb6df7-93a9-4002-a2e9-13084c98e940" From="aa8093d3-1bc3-480a-acf8-4bcb6a14b6a5" To="dfcd873a-20dc-483a-a5e4-08397387d383">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="366" YCoordinate="87" />
              <Coordinates XCoordinate="440" YCoordinate="87" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!TCProcessTrackingTest class methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 09:48'!
xpdl_reportToArchitectProcess
^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="1924f872-8d80-4df6-b416-1817b8f9c93c" Name="report-to-architect" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T17:42:36.4909979-03:00</Created>
    <ModificationDate>2015-10-12T13:10:04.3406874-03:00</ModificationDate>
    <Description>report-to-architect</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="dd453389-40a7-400c-9a21-0bf48ad62b36" Name="Main Process" Process="cc08648d-6618-4fb6-881a-963de0172570" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="fcd24662-cac6-4f38-a675-690ed8bffb9c" Name="Process 1" Process="260dacb0-875f-4db1-9346-4185528f1506" BoundaryVisible="true">
      <Lanes>
        <Lane Id="9d014f82-8c80-4e75-b6a7-b403baa5174a" Name="architect" ParentPool="fcd24662-cac6-4f38-a675-690ed8bffb9c">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="282" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="282" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="28" YCoordinate="29" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="cc08648d-6618-4fb6-881a-963de0172570" Name="Main Process">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.9071134-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="260dacb0-875f-4db1-9346-4185528f1506" Name="Process 1">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.9071134-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="893fce24-fb1a-4c0f-983b-54c10ff5a374" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="157" YCoordinate="78" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="f091a68d-330f-416a-8055-3f54e9d30047" Name="analyze-developer-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="293" YCoordinate="63" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" Name="has-solution">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="492" YCoordinate="73" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b0250340-87e3-4475-82d1-c4f8ff9348aa" Name="report-solution">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="294" YCoordinate="184" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="9606869c-fa23-45e7-b1d6-142450b0a10a" Name="report-workaround">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="594" YCoordinate="138" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="b578fd82-c940-40a7-b6ab-9bb9d329d219" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="494" YCoordinate="249" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="74073e00-8b7c-43cb-837f-361aac53f568" From="893fce24-fb1a-4c0f-983b-54c10ff5a374" To="f091a68d-330f-416a-8055-3f54e9d30047">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="187" YCoordinate="93" />
              <Coordinates XCoordinate="293" YCoordinate="93" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1ecf8804-f7f5-4be3-9824-f7447e3f2101" From="f091a68d-330f-416a-8055-3f54e9d30047" To="53e7efda-1ff9-48c9-9957-5ddd98dcaff3">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="383" YCoordinate="93" />
              <Coordinates XCoordinate="492" YCoordinate="93" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="e6c9a119-9c6b-4a30-b091-13520157cb0e" From="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" To="b0250340-87e3-4475-82d1-c4f8ff9348aa">
          <Condition Type="CONDITION">
            <Expression>[:form | form hasSolution = ''yes'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="512" YCoordinate="113" />
              <Coordinates XCoordinate="512" YCoordinate="149.5" />
              <Coordinates XCoordinate="339" YCoordinate="149.5" />
              <Coordinates XCoordinate="339" YCoordinate="184" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="1bdb9bbc-f85f-4ec8-bd0a-79050142f3cd" From="53e7efda-1ff9-48c9-9957-5ddd98dcaff3" To="9606869c-fa23-45e7-b1d6-142450b0a10a">
          <Condition Type="CONDITION">
            <Expression>[:form | form hasSolution = ''no'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="532" YCoordinate="93" />
              <Coordinates XCoordinate="639" YCoordinate="93" />
              <Coordinates XCoordinate="639" YCoordinate="138" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f63638f4-d2fb-404a-81da-ae30ceab2603" From="b0250340-87e3-4475-82d1-c4f8ff9348aa" To="b578fd82-c940-40a7-b6ab-9bb9d329d219">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="384" YCoordinate="214" />
              <Coordinates XCoordinate="441" YCoordinate="214" />
              <Coordinates XCoordinate="441" YCoordinate="264" />
              <Coordinates XCoordinate="494" YCoordinate="264" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="06887fd3-f3de-465c-a79c-d719d6cbaa08" From="9606869c-fa23-45e7-b1d6-142450b0a10a" To="b578fd82-c940-40a7-b6ab-9bb9d329d219">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="639" YCoordinate="198" />
              <Coordinates XCoordinate="639" YCoordinate="232.5" />
              <Coordinates XCoordinate="509" YCoordinate="232.5" />
              <Coordinates XCoordinate="509" YCoordinate="249" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!TCProcessTrackingTest class methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 09:48'!
xpdl_testCaseProcess
^'<?xml version="1.0" encoding="utf-8"?>
<Package xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" Id="f9e1b674-bcb7-422c-9c50-49390d1e3cfb" Name="test-case" xmlns="http://www.wfmc.org/2009/XPDL2.2">
  <PackageHeader>
    <XPDLVersion>2.2</XPDLVersion>
    <Vendor>Bizagi Process Modeler.</Vendor>
    <Created>2015-10-10T16:11:13.7791404-03:00</Created>
    <ModificationDate>2015-10-12T13:10:04.50012-03:00</ModificationDate>
    <Description>test-case</Description>
    <Documentation />
  </PackageHeader>
  <RedefinableHeader>
    <Author>Usuario</Author>
    <Version>1.0</Version>
    <Countrykey>CO</Countrykey>
  </RedefinableHeader>
  <ExternalPackages />
  <Pools>
    <Pool Id="b68fc2af-b6b7-4f25-aab5-dafe86796f0a" Name="Main Process" Process="71a0ff46-d937-49a6-ae0f-a14291afbe5d" BoundaryVisible="false">
      <Lanes />
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="350" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
    <Pool Id="80699622-c62b-4fa1-8464-570b9fdc95cf" Name="Process 1" Process="5d349866-3f8e-432e-887e-eee94a0c66fb" BoundaryVisible="true">
      <Lanes>
        <Lane Id="08dc3675-c926-4e14-844b-d828d3cef9c2" Name="tester" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="141" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="0" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="5e7dbf23-6b47-4341-8abe-8fdecf2fc01a" Name="test-expert" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="135" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="141" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
        <Lane Id="13b461de-b265-412f-baa1-44ed46796f4a" Name="developer" ParentPool="80699622-c62b-4fa1-8464-570b9fdc95cf">
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="120.00003051757813" Width="650" BorderColor="-11513776" FillColor="-1">
              <Coordinates XCoordinate="50" YCoordinate="276" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Lane>
      </Lanes>
      <NodeGraphicsInfos>
        <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="396.00003051757813" Width="700" BorderColor="-16777216" FillColor="-1">
          <Coordinates XCoordinate="30" YCoordinate="30" />
        </NodeGraphicsInfo>
      </NodeGraphicsInfos>
    </Pool>
  </Pools>
  <Associations />
  <Artifacts />
  <WorkflowProcesses>
    <WorkflowProcess Id="71a0ff46-d937-49a6-ae0f-a14291afbe5d" Name="Main Process">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.9091147-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;displayName&quot;:&quot;Main Process&quot;,&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
    <WorkflowProcess Id="5d349866-3f8e-432e-887e-eee94a0c66fb" Name="Process 1">
      <ProcessHeader>
        <Created>2015-10-18T20:35:48.9091147-03:00</Created>
        <Description />
      </ProcessHeader>
      <RedefinableHeader>
        <Author />
        <Version />
        <Countrykey>CO</Countrykey>
      </RedefinableHeader>
      <ActivitySets />
      <DataInputOutputs />
      <Activities>
        <Activity Id="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" Name="start">
          <Description />
          <Event>
            <StartEvent Trigger="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-10311914" FillColor="-1638505">
              <Coordinates XCoordinate="127" YCoordinate="224" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="end">
          <Description />
          <Event>
            <EndEvent Result="None" />
          </Event>
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="30" Width="30" BorderColor="-6750208" FillColor="-1135958">
              <Coordinates XCoordinate="629" YCoordinate="210.19999694824219" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-case">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="209" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="599" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="execute-test">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="234" YCoordinate="54" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="c2e6b767-63dc-4952-b137-614349439ae4" Name="analyze-issue-report">
          <Description />
          <Implementation>
            <Task />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="MultiInstance" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="376" YCoordinate="195.19999694824219" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="8d074c00-d99c-4975-93cc-79071176332a" Name="is-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="455" YCoordinate="64" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
        <Activity Id="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix-issue">
          <Description />
          <Implementation>
            <SubFlow Id="0f193f2e-eea8-4702-a3a9-f31ab3198aa3" />
          </Implementation>
          <Performers />
          <Documentation />
          <Loop LoopType="None" />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="60" Width="90" BorderColor="-16553830" FillColor="-1249281">
              <Coordinates XCoordinate="334" YCoordinate="336" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes>
            <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;priority&quot;:0,&quot;asynchronousBehavior&quot;:{},&quot;subProcessType&quot;:&quot;None&quot;,&quot;inputMappingType&quot;:&quot;None&quot;,&quot;outputMappingType&quot;:&quot;None&quot;,&quot;exitMode&quot;:&quot;AllTokens&quot;,&quot;multiInstancePropertyGuid&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;groupByAttributesXPath&quot;:&quot;&quot;}" />
          </ExtendedAttributes>
        </Activity>
        <Activity Id="2a43f725-58bd-45a8-b456-5da85c4faf32" Name="accept-issue">
          <Description />
          <Route />
          <Documentation />
          <NodeGraphicsInfos>
            <NodeGraphicsInfo ToolId="BizAgi_Process_Modeler" Height="40" Width="40" BorderColor="-5855715" FillColor="-52">
              <Coordinates XCoordinate="541" YCoordinate="243" />
            </NodeGraphicsInfo>
          </NodeGraphicsInfos>
          <ExtendedAttributes />
        </Activity>
      </Activities>
      <Transitions>
        <Transition Id="f9d3a6e6-af6b-46dc-9fcc-c1c2f97b3271" From="a5c4f59b-8f98-4ee9-8bac-b7feaf8f9486" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="start-case">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="157" YCoordinate="239" />
              <Coordinates XCoordinate="234" YCoordinate="239" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="04ee69b1-afd5-4e5c-ad2b-19c999c0b1b6" From="caf25880-c312-4f57-b5d2-30a76003ec41" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="test-finished">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="644" YCoordinate="114" />
              <Coordinates XCoordinate="644" YCoordinate="210" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9137256c-6786-4850-b12d-2b8566694299" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="61dd3bd2-cd44-49ec-9292-7dbb961d11a2" Name="reject-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''reject'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="243" />
              <Coordinates XCoordinate="561" YCoordinate="225" />
              <Coordinates XCoordinate="629" YCoordinate="225" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9575aef3-2919-455a-8179-2d9a86547aa3" From="2a43f725-58bd-45a8-b456-5da85c4faf32" To="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" Name="fix">
          <Condition Type="CONDITION">
            <Expression>[:form | form acceptOrReject = ''accept'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="561" YCoordinate="283" />
              <Coordinates XCoordinate="561" YCoordinate="366" />
              <Coordinates XCoordinate="424" YCoordinate="366" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="ec8c36e0-4ae6-4cc1-a5b6-4c459e63fb16" From="fdd455c5-d6cf-494f-bb9c-cf1aedea5d94" To="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" Name="test-again">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="334" YCoordinate="366" />
              <Coordinates XCoordinate="279" YCoordinate="366" />
              <Coordinates XCoordinate="279" YCoordinate="269" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="536e43b6-c876-4e84-846b-01b2efe43b8b" From="bfebb4b0-96bf-4cc3-b0af-ee035a376ac7" To="e170b610-a543-438c-90ac-de6a6bb9d7e9" Name="run-test">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="279" YCoordinate="209" />
              <Coordinates XCoordinate="279" YCoordinate="114" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="9c75e177-6817-4c98-82b9-db9f481db34a" From="e170b610-a543-438c-90ac-de6a6bb9d7e9" To="8d074c00-d99c-4975-93cc-79071176332a">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="324" YCoordinate="84" />
              <Coordinates XCoordinate="455" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="b432225c-69cb-4e5e-9da1-500917b1b7e4" From="8d074c00-d99c-4975-93cc-79071176332a" To="c2e6b767-63dc-4952-b137-614349439ae4" Name="report-issue">
          <Condition Type="CONDITION">
            <Expression>[:form | form result = ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="475" YCoordinate="104" />
              <Coordinates XCoordinate="475" YCoordinate="149.5" />
              <Coordinates XCoordinate="421" YCoordinate="149.5" />
              <Coordinates XCoordinate="421" YCoordinate="195" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="f50d67c8-61c2-45db-ad73-888d412e5704" From="8d074c00-d99c-4975-93cc-79071176332a" To="caf25880-c312-4f57-b5d2-30a76003ec41" Name="test-ok">
          <Condition Type="CONDITION">
            <Expression>[:form | form result ~= ''failed'']</Expression>
          </Condition>
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="495" YCoordinate="84" />
              <Coordinates XCoordinate="599" YCoordinate="84" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
        <Transition Id="be21efdb-ab66-4603-80ef-3867afd145b3" From="c2e6b767-63dc-4952-b137-614349439ae4" To="2a43f725-58bd-45a8-b456-5da85c4faf32">
          <Condition />
          <Description />
          <ConnectorGraphicsInfos>
            <ConnectorGraphicsInfo ToolId="BizAgi_Process_Modeler" BorderColor="-16777216">
              <Coordinates XCoordinate="466" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="225" />
              <Coordinates XCoordinate="503" YCoordinate="263" />
              <Coordinates XCoordinate="541" YCoordinate="263" />
            </ConnectorGraphicsInfo>
          </ConnectorGraphicsInfos>
          <ExtendedAttributes />
        </Transition>
      </Transitions>
      <ExtendedAttributes>
        <ExtendedAttribute Name="RuntimeProperties" Value="{&quot;processClassProperties&quot;:{&quot;accessType&quot;:&quot;Process&quot;,&quot;enableAlarms&quot;:false,&quot;enableNotifications&quot;:false},&quot;processProperties&quot;:{&quot;globalFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;summaryFormId&quot;:&quot;00000000-0000-0000-0000-000000000000&quot;,&quot;mobileAccess&quot;:true}}" />
      </ExtendedAttributes>
    </WorkflowProcess>
  </WorkflowProcesses>
  <ExtendedAttributes />
</Package>'! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:07'!
assignSubProcess1Transition1
	| subProcess |

	subProcess := processInstance subProcesses last.

	currentUser := OrbeonFormUser getUserNamed: 'ignacio'. "role: developer" "form_analyzeIssue"
	lastAssignment := OrbeonProcessAssignment associateWithProcess: subProcess for: currentUser.! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:34'!
assignSubProcess2Transition1
	| subProcess |

	subProcess := lastAssignment formProcess subProcesses last.

	currentUser := OrbeonFormUser getUserNamed: 'fabricio'. "role: developer" "form_analyzeIssue"
	lastAssignment := OrbeonProcessAssignment associateWithProcess: subProcess for: currentUser.! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 13:59'!
assignTransition1

	currentUser := OrbeonFormUser getUserNamed: 'alberto'. "role: test-expert" "form_testCase"
	"create the process and assign it to the user"
	assignment := OrbeonProcessAssignment createProcessFor: currentUser template: processDefinition.
	processInstance := assignment formProcess.! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:07'!
assignTransition2

	currentUser := OrbeonFormUser getUserNamed: 'marcelo'.
	"assign the user to the process"
	lastAssignment := OrbeonProcessAssignment associateWithProcess: assignment formProcess for: currentUser. "role: tester" "form_executeTest"! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_analyzeDeveloperReport
	"role: architect"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>96F6NPLjooGxP_CW</s>
                        <k>H2ZteEQGAJQYCWAi</k>
                        <uuid>36837436-75b0-4e5e-9c11-72bb9a19da2c</uuid>
                        <oop>18504250625</oop>
                        <assignmentOop>18516112129</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>fabricio</username>
                        <rol>[architect]</rol>
                        <formId>116ec9f1-843a-45a7-889d-29cf64e84ca0</formId>
                    </section-11>
                    <section-test-info>
                        <architectAnalysis>&lt;div&gt;Cambiar estilo de los CSS&lt;/div&gt;</architectAnalysis>
                        <hasSolution>yes</hasSolution>
                    </section-test-info>
                </form>'! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_analyzeIssue
	"role: developer"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>eUllB-4NAZMSe22X</s>
                        <k>S217lVC6vak5udMj</k>
                        <uuid>704fc29b-0203-4bb7-ab09-416b430d3a80</uuid>
                        <oop>18481909505</oop>
                        <assignmentOop>18491012865</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>ignacio</username>
                        <rol>[developer]</rol>
                        <formId>30796d63-997f-4257-852d-974a4f6b35f0</formId>
                    </section-11><section-12><section-12-iteration><subjectName>Error de diseño</subjectName><details>&lt;div&gt;Se erro en el diseño&lt;/div&gt;</details></section-12-iteration></section-12><section-15><developerCanFix>no</developerCanFix></section-15>
                </form>'! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_analyzeIssueReport
	"role: test-expert"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>zVZVnGEffyfpAfSR</s>
                        <k>ZtskCPnRK4FFHFDT</k>
                        <uuid>7d6af7e1-864f-4841-9ed2-6ba7e065b9c5</uuid>
                        <oop>18465238785</oop>
                        <assignmentOop>18182276353</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>alberto</username>
                        <rol>[receptor-permiso][test-expert]</rol>
                        <formId>d19fd881-f0d3-43fe-b40b-94adae51c5ba</formId>
                    </section-11>
                    <section-test-info>
                        <analysis>&lt;div&gt;This is a bug&lt;/div&gt;</analysis>
                        <acceptOrReject>accept</acceptOrReject>
                        <rejectionReason/>
                    </section-test-info>
                </form>'! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_executeTest
	"role: tester"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>3BjzP-DZpUtZvKq7</s>
                        <k>sZiDi2_jzg7xTB3I</k>
                        <uuid>4ba23319-cbb2-4424-8899-142b92873adc</uuid>
                        <oop>18427833601</oop>
                        <assignmentOop>18443984641</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>marcelo</username>
                        <rol>[tester]</rol>
                        <formId>1151eb8a-a265-4e91-98fb-166584169648</formId>
                    </section-11>
                    <section-test-info>
                        <result>failed</result>
                        <executionSteps filename="export.csv(6).csv" mediatype="application/csv" size="57189">/fr/service/persistence/crud/ue/execute-test/data/175a8894a945fccc0d34c6116c5ee46c1dc97155/7744c69530f3438082495c28307c35cf7757761c.bin</executionSteps>
                    </section-test-info>
                </form>'! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_reportSolution
	"role: architect"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>96F6NPLjooGxP_CW</s>
                        <k>7hWz_ayqpCs5q6wb</k>
                        <uuid>2d386b49-97f7-4474-a96a-3655bbc78f73</uuid>
                        <oop>18528302081</oop>
                        <assignmentOop>18516112129</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>fabricio</username>
                        <rol>[architect]</rol>
                        <formId>b7eda374-d5a8-4994-9f4f-2758cd46d32e</formId>
                    </section-11>
                    <section-12><solutionName>Crear otro CSS</solutionName><solutionDetails>&lt;div&gt;Crear otro CSS&lt;/div&gt;</solutionDetails>        
                    </section-12>  
                </form>'! !

!TCProcessTrackingTest methodsFor: 'xml forms' stamp: 'BrunoBB 10/20/2015 09:48'!
form_testCase
	"role: test-expert"
	^'<?xml version="1.0" encoding="UTF-8"?><form>
                    <internal-section>
                        <s>x9EGsns79PtMxaXO</s>
                        <k>6NrKLySK6_P5HLVH</k>
                        <uuid>89d07cce-3898-4ed4-8148-e99aa0c3b115</uuid>
                        <oop>18182193409</oop>
                        <assignmentOop>18182276353</assignmentOop>
                    </internal-section>
                    <section-11>
                        <username>alberto</username>
                        <rol>[receptor-permiso][test-expert]</rol>
                        <formId>bdf6ed28-85fd-44c5-9444-417884bf642e</formId>
                    </section-11>
                    <section-test-info>
                        <testCaseCode>12015</testCaseCode>
                        <subsystem>orbeon-process-meta-model</subsystem>
                        <name>SubProcess with 3 levels</name>
                        <mainRequirementId>1</mainRequirementId>
                        <grid-17>
                                <secondaryRequirementId/>
                            </grid-17>
                    </section-test-info>
                    <section-test-steps>
                        <testDescription/>
                        <testCaseSteps filename="TestCase.odt" mediatype="application/vnd.oasis.opendocument.text" size="9752">/fr/service/persistence/crud/agesic/test-case/form/b9388ceab2c8cb354d2b8da394771aa44d66df8d.bin</testCaseSteps>
                    </section-test-steps>
                </form>'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 10:15'!
formInstanceAnalyzeDeveloperReport

	^self createFormInstance: #form_analyzeDeveloperReport definitionNamed: 'analyze-developer-report' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 10:14'!
formInstanceAnalyzeIssue

	^self createFormInstance: #form_analyzeIssue definitionNamed: 'analyze-issue' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 12:37'!
formInstanceAnalyzeIssueReport

	^self createFormInstance: #form_analyzeIssueReport definitionNamed: 'analyze-issue-report' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 10:13'!
formInstanceExecuteTest

	^self createFormInstance: #form_executeTest definitionNamed: 'execute-test' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 10:16'!
formInstanceReportSolution

	^self createFormInstance: #form_reportSolution definitionNamed: 'report-solution' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'form instances' stamp: 'BrunoBB 10/20/2015 09:48'!
formInstanceTestCase

	^self createFormInstance: #form_testCase definitionNamed: 'test-case' app: 'ue'! !

!TCProcessTrackingTest methodsFor: 'tests' stamp: 'BrunoBB 10/20/2015 14:35'!
processTrackingTest

	"First Form"
	self assignTransition1.
	self assert: true.
	self runTransition1.
	self assert: true.

	"Second Form"
	self assignTransition2.
	self assert: true.
	self runTransition2.
	self assert: true.

	"Third Form" "the user is already assigned to the process"
	self runTransition3.

	"The First SubProcess - The First Forms"
	self assignSubProcess1Transition1.

	self runSubProcess1Transition1.

	"The Secon SubProcess - The First Form"
	self assignSubProcess2Transition1.
	self runSubProcess2Transition1.
	self runSubProcess2Transition2.! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:09'!
runSubProcess1Transition1

	self fillAndfinalize: #formInstanceAnalyzeIssue in: lastAssignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:33'!
runSubProcess2Transition1

	self fillAndfinalize: #formInstanceAnalyzeDeveloperReport in: lastAssignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 14:36'!
runSubProcess2Transition2

	self fillAndfinalize: #formInstanceReportSolution in: lastAssignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 11:59'!
runTransition1

	self fillAndfinalize: #formInstanceTestCase in: assignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 12:15'!
runTransition2

	self fillAndfinalize: #formInstanceExecuteTest in: assignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 12:34'!
runTransition3

	self fillAndfinalize: #formInstanceAnalyzeIssueReport in: assignment. "fill the form and finalize the transition -generate next transitions-"
	currentUser pendingAssignments. "recalculate assignments see implementation"! !

!TCProcessTrackingTest methodsFor: 'process simulation' stamp: 'BrunoBB 10/20/2015 12:11'!
runTrasitionsOn
	| user |

	"user take task"
	user := OrbeonFormUser getUserNamed: 'marcelo'.
	OrbeonProcessAssignment associateWithProcess: assignment formProcess for: user. "role: tester" "form_executeTest"
	self fillAndfinalize: #formInstanceTestCase in: assignment. "fill the form and finalize the transition -generate next transitions-"

	user := OrbeonFormUser getUserNamed: 'ignacio'.
	OrbeonProcessAssignment associateWithProcess: assignment formProcess for: user. "role: developer" "form_analyzeIssue"

	user := OrbeonFormUser getUserNamed: 'fabricio'.
	OrbeonProcessAssignment associateWithProcess: assignment formProcess for: user. "role: architect" "form_analyzeDeveloperReport"! !

!TCProcessTrackingTest methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 11:56'!
setUp

"
1- Create OrbeonApplication
2- Create OrbeonFormProcessDefinition
3- Create OrbeonProcessAssignment and OrbeonFormProcess
4- Create proper users and roles for each step of the process"

	processDefinition := (OrbeonFormProcessDefinition getProcessesNamed: 'Test Case' in: 'ue') last.! !

!TCProcessTrackingTest methodsFor: 'other' stamp: 'BrunoBB 10/20/2015 10:59'!
tearDown

	"OrbeonFormProcessDefinition removeProcessInstances."! !
